Summary:		Fonts for TV programs (fbtv, motv, ttv, xawtv)
Name:			tv-fonts
Version:		1.1
Release:		2mdk
Source0:		%{name}-%{version}.tar.bz2
Group:			Video
License:		GPL
#OLD_STILL_VALID_URL: http://www.strusel007.de/linux/xawtv/
URL:			http://bytesex.org/xawtv
BuildRoot:		%{_tmppath}/%{name}-%{version}
BuildArch:		noarch
BuildRequires:		xorg-x11
Requires(post):		xorg-x11
Requires(postun):	xorg-x11

%description
Tv-fonts is a set of fonts, mainly used by xawtv.

They used to be bundled with xawtv but starting with version 3.75,
xawtv doesn't come with the fonts bundled any more.

So come tv-fonts.

This package is required by xawtv-common


%prep
%setup -q

%build
# to prevent make doing some xset stuff :
# Geoff -- only unset if DISPLAY is present or it will return 1 and
# build will barf.
[ -n "$DISPLAY" ] && unset DISPLAY
%make

%install
mkdir -p %{buildroot}%{_prefix}/X11R6/lib/X11/fonts/misc/
install *.gz %{buildroot}%{_prefix}/X11R6/lib/X11/fonts/misc/

cat <<EOF >> README

Tv-fonts is a set of fonts, mainly used by xawtv.

They used to be bundled with xawtv but starting with version 3.75,
xawtv does not come with the fonts bundled any more. 

So come tv-fonts.

This package is required by xawtv-common
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_prefix}/X11R6/lib/X11/fonts/misc

%post
cd %{_prefix}/X11R6/lib/X11/fonts/misc
%{_prefix}/X11R6/bin/mkfontdir
if [ -f /var/lock/subsys/xfs ]; then
    service xfs restart || true
fi
test -n "$DISPLAY" && xset fp rehash || true


%postun
if [ "$1" = "0" ]; then
    cd %{_prefix}/X11R6/lib/X11/fonts/misc
    %{_prefix}/X11R6/bin/mkfontdir
    if [ -f /var/lock/subsys/xfs ]; then
	service xfs restart || true
    fi
    test -n "$DISPLAY" && xset fp rehash || true
fi


%changelog
* Wed Jun 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-2mdk 
- fixed x86_64 use, no more %_libdir/X11 references
- requires xorg-x11, as mkfontdir is needed in %%post/%%preun
- this is a noarch package

* Tue Apr 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-1mdk
- new release

* Wed Mar 05 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-6mdk
- fix unknown a command in %%post

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-5mdk
- build release

* Sun Jul 28 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0-4mdk
- BuildRequires

* Mon Jul 01 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-3mdk
- Only unset DISPLAY in %%build if it is there -- or else unset returns
  1 and build will barf.

* Tue Jun 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-2mdk
- fix conflict with XFree86

* Tue Jun 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-1mdk
- initial release
